Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0045467
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2020-11-20 04:172021-02-22 09:34
ReporterlbressanView Statuspublic 
Assigned Toprakashmurugesan88 
PrioritynormalResolutionfixedFixed in VersionRR21Q1
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0045467: Performance issues on the model CharacteristicValue

DescriptionPerformance issues on the model CharacteristicValue that causes a delay in loading the model.
Steps To ReproduceAdd some characteristic values to be load to the POS.
Log in to the POS and review the load time of the model CharacteristicValue.
Proposed SolutionA change in the model is proposed (attached patch)
TagsNOR
Attached Filespatch file icon CharacteristicValue.java.patch [^] (3,060 bytes) 2020-11-20 04:17 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0045144 closedprakashmurugesan88 Retail Modules Fix incremental and full refresh with Multi Tax Category module 
related to defect 0045055 closedranjith_qualiantech_com Retail Modules Incremental refresh of ProductCharacteristic cannot use index on updated 
related to defect 0044911 closedranjith_qualiantech_com Retail Modules Incremental refresh of Product cannot use index on updated 
related to defect 0045919 closedrqueralta Retail Modules Extra join of product table in master.product 
related to design defect 0045922 newplatform Openbravo ERP Extra self-join with main table when using computed columns 

-  Notes
(0124735)
hgbot (developer)
2020-12-10 05:54

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/merge_requests/205 [^]
(0124743)
hgbot (developer)
2020-12-10 08:18

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/merge_requests/205 [^]
(0124744)
hgbot (developer)
2020-12-10 08:18

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal [^]
Changeset: 17734b893154c41e8ac00c7be8992c53689032cf
Author: Prakash M <prakash@qualiantech.com>
Date: 2020-12-10T07:18:19+00:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/commit/17734b893154c41e8ac00c7be8992c53689032cf [^]

Fixed BUG-45467: Fixes performance issues on the model CharacteristicValue

---
M src/org/openbravo/retail/posterminal/master/CharacteristicValue.java
---

- Issue History
Date Modified Username Field Change
2020-11-20 04:17 lbressan New Issue
2020-11-20 04:17 lbressan Assigned To => Retail
2020-11-20 04:17 lbressan File Added: CharacteristicValue.java.patch
2020-11-20 04:17 lbressan Triggers an Emergency Pack => No
2020-11-23 10:54 marvintm Project POS2 => Retail Modules
2020-11-23 10:55 marvintm Category Core => Web POS
2020-12-09 06:49 prakashmurugesan88 Assigned To Retail => prakashmurugesan88
2020-12-09 06:49 prakashmurugesan88 Status new => scheduled
2020-12-10 05:54 hgbot Note Added: 0124735
2020-12-10 08:18 hgbot Resolution open => fixed
2020-12-10 08:18 hgbot Status scheduled => closed
2020-12-10 08:18 hgbot Note Added: 0124743
2020-12-10 08:18 hgbot Fixed in Version => RR21Q1
2020-12-10 08:18 hgbot Note Added: 0124744
2021-02-18 17:18 rafaroda Tag Attached: NOR
2021-02-22 09:33 rafaroda Relationship added related to 0045144
2021-02-22 09:34 rafaroda Relationship added related to 0045055
2021-02-22 09:34 rafaroda Relationship added related to 0044911
2021-02-22 10:48 rafaroda Relationship added related to 0045919
2021-02-22 10:48 rafaroda Relationship added related to 0045922


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker